|  | Home | Documentation | xenc__EncryptionPropertiesType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
xenc__EncryptionPropertiesType Struct Reference

"http://www.w3.org/2001/04/xmlenc#":EncryptionPropertiesType is a complexType. More...

`#include <xenc.h>`

Collaboration diagram for xenc__EncryptionPropertiesType:
[legend]

## Public Attributes
$int | __sizeEncryptionProperty
| Size of the dynamic array of xenc__EncryptionPropertyType* is 1..unbounded. More...
xenc__EncryptionPropertyType * | EncryptionProperty
| Array xenc__EncryptionPropertyType* of length 1..unbounded. More...
char * | Id
| Attribute Id of type xs:ID. More...

## Detailed Description

"http://www.w3.org/2001/04/xmlenc#":EncryptionPropertiesType is a complexType.

## Member Data Documentation

$int xenc__EncryptionPropertiesType::__sizeEncryptionProperty

Size of the dynamic array of xenc__EncryptionPropertyType* is 1..unbounded.

xenc__EncryptionPropertyType* xenc__EncryptionPropertiesType::EncryptionProperty

Array xenc__EncryptionPropertyType* of length 1..unbounded.

char* xenc__EncryptionPropertiesType::Id

Attribute Id of type xs:ID.

Optional attribute.

The documentation for this struct was generated from the following file:

- xenc.h